aboutsummaryrefslogtreecommitdiff
path: root/source/1.0/src
diff options
context:
space:
mode:
authorkate.ward <kate.ward@forestent.com>2008-11-14 01:59:25 +0000
committerkate.ward <kate.ward@forestent.com>2008-11-14 01:59:25 +0000
commit4b9b045dc103525c20dab736ce9b207ffdbab5bb (patch)
tree979fadf653d476c7ff09e628daf5c60079734b8e /source/1.0/src
parent44d7cf8bf5bebcb3bb39c43b217db254b1f636e3 (diff)
downloadshflags-4b9b045dc103525c20dab736ce9b207ffdbab5bb.tar.gz
showing unexpected help output better
Diffstat (limited to 'source/1.0/src')
-rwxr-xr-xsource/1.0/src/shflags_test_public.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/source/1.0/src/shflags_test_public.sh b/source/1.0/src/shflags_test_public.sh
index eae972b..f1d8951 100755
--- a/source/1.0/src/shflags_test_public.sh
+++ b/source/1.0/src/shflags_test_public.sh
@@ -85,8 +85,8 @@ EOF
( FLAGS_HELP=${help}; FLAGS -h >"${stdoutF}" 2>"${stderrF}" )
diff "${expectedF}" "${stderrF}" >/dev/null
assertTrue 'unexpected help output' $?
- [ ${__shunit_skip} -eq ${SHUNIT_FALSE} -a ${rtrn} -ne ${FLAGS_TRUE} ] \
- && cat "${stderrF}"
+ test ${__shunit_skip} -eq ${SHUNIT_FALSE} -a ${rtrn} -ne ${FLAGS_TRUE}
+ th_showOutput $? "${stdoutF}" "${stderrF}"
}
testEnhancedHelpOutput()